import { $ as $4e85f108e88277b8$export$d688439359537581 } from "./RSPContexts-2lR5GG9p.js";
import { a as $64fa3d84918910a7$export$29f1550f4b0d4415 } from "./utils-cvK1vxO7.js";
import React__default, { forwardRef } from "react";
const $5cb03073d3f54797$export$a8a3e93435678ff9 = /* @__PURE__ */ forwardRef(function Heading(props, ref) {
  [props, ref] = $64fa3d84918910a7$export$29f1550f4b0d4415(props, ref, $4e85f108e88277b8$export$d688439359537581);
  let { children, level = 3, className, ...domProps } = props;
  let Element = `h${level}`;
  return /* @__PURE__ */ React__default.createElement(Element, {
    ...domProps,
    ref,
    className: className !== null && className !== void 0 ? className : "react-aria-Heading"
  }, children);
});
export {
  $5cb03073d3f54797$export$a8a3e93435678ff9 as $
};
